JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const execution = await client.workflows.executions.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(execution.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
execution = client.workflows.executions.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(execution.data)curl --request GET \
--url https://api.mobilerun.ai/v1/executions/{executionId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"error": "<string>",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finishedAt": "<string>",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "live",
"recordingDeviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "<string>",
"status": "pending",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerName": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"files": [
{
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 1
}
],
"result": "<unknown>"
}
}{
"error": "<string>"
}Executions
Get execution details
Fetch a single flow execution by its ID, including its status, kind, result or error, and start/finish timestamps. Returns 404 if no execution matches.
GET
/
executions
/
{executionId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const execution = await client.workflows.executions.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(execution.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
execution = client.workflows.executions.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(execution.data)Was this page helpful?
⌘I